﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace PHVGenerator
{
    [System.Runtime.InteropServices.ComVisible(true)]
    [System.Runtime.InteropServices.ClassInterface(
            System.Runtime.InteropServices.ClassInterfaceType.AutoDual)]
    public partial class ConnectionManagerOptions : UserControl, EnvDTE.IDTToolsOptionsPage 
    {
        ConnectionStringProperties opts = new ConnectionStringProperties();
        
        public ConnectionManagerOptions()
        {
            InitializeComponent();
            opts = new ConnectionStringProperties();
        }

        private void ConnectionManagerOptions_Load(object sender, EventArgs e)
        {

        }

        #region IDTToolsOptionsPage Members

        public void GetProperties(ref object PropertiesObject)
        {
            PropertiesObject = opts;
        }

        public void OnAfterCreated(EnvDTE.DTE DTEObject)
        {
            if (opts.IsStatic == "true" || opts.IsStatic == "")
            {
                this.StaticCheckbox.Checked = true;
            }
            else
            {
                this.StaticCheckbox.Checked = false;
            }
            if (opts.SupportCustomization == "true")
            {
                this.CustomizationCheckbox.Checked = true;
            }
            else
            {
                this.CustomizationCheckbox.Checked = false;
            }
        }

        public void OnCancel()
        {
         
        }

        public void OnHelp()
        {
            throw new NotImplementedException();
        }

        public void OnOK()
        {
           if (this.StaticCheckbox.Checked)
            {
                opts.IsStatic = "true";
            }
            else
            {
                opts.IsStatic = "false";
            }
            if ( this.CustomizationCheckbox.Checked)
            {
                opts.SupportCustomization = "true";
            }
            else
            {
                opts.SupportCustomization = "false";
            }
        }
        
        #endregion
    }
}
